E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::Client::Config Struct Reference

A structure containing GSmtp::Client configuration parameters. More...

`#include <gsmtpclient.h>`

Collaboration diagram for GSmtp::Client::Config:
[legend]

## Public Member Functions
Config & | set_client_protocol_config (const ClientProtocol::Config &)
Config & | set_net_client_config (const GNet::Client::Config &)
Config & | set_filter_config (const Filter::Config &)
Config & | set_filter_spec (const FilterFactoryBase::Spec &)
Config & | set_secure_tunnel (bool=true) noexcept
Config & | set_sasl_client_config (const std::string &)
Config & | set_fail_if_no_remote_recipients (bool=true) noexcept
Config & | set_log_msgid (bool=true) noexcept

## Public Attributes
ClientProtocol::Config | client_protocol_config
GNet::Client::Config | net_client_config
Filter::Config | filter_config
FilterFactoryBase::Spec | filter_spec
bool | secure_tunnel {false}
std::string | sasl_client_config
bool | fail_if_no_remote_recipients {true}
bool | log_msgid {false}

## Detailed Description

A structure containing GSmtp::Client configuration parameters.

Definition at line 66 of file gsmtpclient.h.

## Member Function Documentation

## ◆ set_client_protocol_config()

GSmtp::Client::Config & GSmtp::Client::Config::set_client_protocol_config | ( | const ClientProtocol::Config & | c | ) |
| inline

Definition at line 171 of file gsmtpclient.h.

## ◆ set_fail_if_no_remote_recipients()

GSmtp::Client::Config & GSmtp::Client::Config::set_fail_if_no_remote_recipients | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 177 of file gsmtpclient.h.

## ◆ set_filter_config()

GSmtp::Client::Config & GSmtp::Client::Config::set_filter_config | ( | const Filter::Config & | c | ) |
| inline

Definition at line 174 of file gsmtpclient.h.

## ◆ set_filter_spec()

GSmtp::Client::Config & GSmtp::Client::Config::set_filter_spec | ( | const FilterFactoryBase::Spec & | r | ) |
| inline

Definition at line 173 of file gsmtpclient.h.

## ◆ set_log_msgid()

GSmtp::Client::Config & GSmtp::Client::Config::set_log_msgid | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 178 of file gsmtpclient.h.

## ◆ set_net_client_config()

GSmtp::Client::Config & GSmtp::Client::Config::set_net_client_config | ( | const GNet::Client::Config & | c | ) |
| inline

Definition at line 172 of file gsmtpclient.h.

## ◆ set_sasl_client_config()

GSmtp::Client::Config & GSmtp::Client::Config::set_sasl_client_config | ( | const std::string & | s | ) |
| inline

Definition at line 176 of file gsmtpclient.h.

## ◆ set_secure_tunnel()

GSmtp::Client::Config & GSmtp::Client::Config::set_secure_tunnel | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 175 of file gsmtpclient.h.

## Member Data Documentation

## ◆ client_protocol_config

ClientProtocol::Config GSmtp::Client::Config::client_protocol_config

Definition at line 68 of file gsmtpclient.h.

## ◆ fail_if_no_remote_recipients

bool GSmtp::Client::Config::fail_if_no_remote_recipients {true}

Definition at line 74 of file gsmtpclient.h.

## ◆ filter_config

Filter::Config GSmtp::Client::Config::filter_config

Definition at line 70 of file gsmtpclient.h.

## ◆ filter_spec

FilterFactoryBase::Spec GSmtp::Client::Config::filter_spec

Definition at line 71 of file gsmtpclient.h.

## ◆ log_msgid

bool GSmtp::Client::Config::log_msgid {false}

Definition at line 75 of file gsmtpclient.h.

## ◆ net_client_config

GNet::Client::Config GSmtp::Client::Config::net_client_config

Definition at line 69 of file gsmtpclient.h.

## ◆ sasl_client_config

std::string GSmtp::Client::Config::sasl_client_config

Definition at line 73 of file gsmtpclient.h.

## ◆ secure_tunnel

bool GSmtp::Client::Config::secure_tunnel {false}

Definition at line 72 of file gsmtpclient.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpclient.h